Bug 758624 - (CVE-2011-4362) CVE-2011-4362 lighttpd: Out of bounds read due to a signedness error (DoS, crash)
CVE-2011-4362 lighttpd: Out of bounds read due to a signedness error (DoS, cr...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20111129,repor...
: Security
Depends On: 758625 758626
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-30 04:38 EST by Jan Lieskovsky
Modified: 2018-03-21 21:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-03-21 21:48:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2011-11-30 04:38:14 EST
An signedness error, leading to out of stack-based buffer read flaw was found in the way lighttpd, a lightning fast webserver with light system requirements, processed certain invalid base64 HTTP authentication tokens. A remote attacker could provide a specially crafted HTTP authentication request, leading to denial of service (lighttpd daemon crash due to an signedness error while processing the token).

Upstream bug report:
[1] http://redmine.lighttpd.net/issues/2370

Upstream patch (with testcase and NEWS update):
[2] http://redmine.lighttpd.net/projects/lighttpd/repository/revisions/2806/diff

References:
[3] http://download.lighttpd.net/lighttpd/security/lighttpd_sa_2011_01.txt
    (upstream advisory)
[4] http://www.openwall.com/lists/oss-security/2011/11/29/8
    (CVE request)
[5] http://www.openwall.com/lists/oss-security/2011/11/29/13
    (CVE assignment)
Comment 1 Jan Lieskovsky 2011-11-30 04:40:00 EST
This issue affects the versions of the lighttpd package, as shipped with Fedora EPEL 4, 5, and 6. Please schedule an update.

--

This issue affects the versions of the lighttpd package, as shipped with Fedora release of 14, 15, and 16. Please schedule an update.
Comment 2 Jan Lieskovsky 2011-11-30 04:41:10 EST
Created lighttpd tracking bugs for this issue

Affects: fedora-all [bug 758625]
Affects: epel-all [bug 758626]
Comment 3 Fedora Update System 2012-06-25 09:32:39 EDT
lighttpd-1.4.31-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2012-06-25 09:33:27 EDT
lighttpd-1.4.31-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-06-25 20:31:25 EDT
lighttpd-1.4.31-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-06-25 20:44:22 EDT
lighttpd-1.4.31-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.